## MrpGroup

MrpGroup

## Functions

MrpGroup * | mrp_group_new ()
const gchar * | mrp_group_get_name ()
void | mrp_group_set_name ()

## Properties

gchar * | manager-email | Read / Write
gchar * | manager-name | Read / Write
gchar * | manager-phone | Read / Write
gchar * | name | Read / Write

## Types and Values

| MrpGroupPriv
| MrpGroup

## Object Hierarchy

        GObject
        ╰── MrpObject
            ╰── MrpGroup

## Includes

    #include <libplanner/planner.h>

## Description

## Functions

### mrp_group_new ()

    MrpGroup *
    mrp_group_new (void);

Creates a new end group.

#### Returns

the newly created group.

### mrp_group_get_name ()

    const gchar *
    mrp_group_get_name (MrpGroup *group);

Retrives the name of `group` .

#### Parameters

group | an MrpGroup |

#### Returns

the name

### mrp_group_set_name ()

    void
    mrp_group_set_name (MrpGroup *group,
                        const gchar *name);

Sets the name of `group` .

#### Parameters

group | an MrpGroup |
name | new name of `group` |

## Types and Values

### MrpGroupPriv

    typedef struct _MrpGroupPriv MrpGroupPriv;

A private struct for internal use only. The definition of this structure is not publically available.

### MrpGroup

    typedef struct _MrpGroup MrpGroup;

Object representing a resource group.

## Property Details

### The `“manager-email”` property

      “manager-email”            gchar *

The email address of the group manager.

Flags: Read / Write

Default value: "empty"

### The `“manager-name”` property

      “manager-name”             gchar *

The name of the group manager.

Flags: Read / Write

Default value: "empty"

### The `“manager-phone”` property

      “manager-phone”            gchar *

The phone number of the group manager.

Flags: Read / Write

Default value: "empty"

### The `“name”` property

      “name”                     gchar *

Name of the group.

Flags: Read / Write

Default value: "empty"